Page MenuHomePhabricator

[mlir] Delete ForwardDataFlowAnalysis
ClosedPublic

Authored by Mogball on Jun 29 2022, 5:11 PM.

Details

Summary

With SCCP and integer range analysis ported to the new framework, this old framework is redundant. Delete it.

Depends on D128866

Diff Detail

Event Timeline

Mogball created this revision.Jun 29 2022, 5:11 PM
Herald added a project: Restricted Project. · View Herald Transcript
Mogball requested review of this revision.Jun 29 2022, 5:11 PM
rriddle accepted this revision.Jul 6 2022, 2:21 AM
This revision is now accepted and ready to land.Jul 6 2022, 2:21 AM
This revision was landed with ongoing or failed builds.Jul 7 2022, 9:08 PM
This revision was automatically updated to reflect the committed changes.